libzypp: zypp::sat::Solvable::SplitIdent Class Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zypp::sat::Solvable::SplitIdent Class Reference

Helper that splits an identifier into kind and name or vice versa. More...

`#include <zypp/sat/Solvable.h>`

## Public Member Functions
| SplitIdent ()
| SplitIdent (IdString ident_r)
| SplitIdent (const char *ident_r)
| SplitIdent (const std::string &ident_r)
| SplitIdent (ResKind kind_r, IdString name_r)
| SplitIdent (ResKind kind_r, const C_Str &name_r)
IdString | ident () const
ResKind | kind () const
IdString | name () const

## Private Attributes
IdString | _ident
ResKind | _kind
IdString | _name

## Detailed Description

Helper that splits an identifier into kind and name or vice versa.

Note
  In case `name_r` is preceded by a well known kind spec, the `kind_r` argument is ignored, and kind is derived from name.

See also
  ident

Definition at line 361 of file Solvable.h.

## Constructor & Destructor Documentation

## ◆ SplitIdent() [1/6]

zypp::sat::Solvable::SplitIdent::SplitIdent | ( |  | ) |
| inline

Definition at line 364 of file Solvable.h.

## ◆ SplitIdent() [2/6]

zypp::sat::Solvable::SplitIdent::SplitIdent | ( | IdString | ident_r | ) |

Definition at line 73 of file Solvable.cc.

## ◆ SplitIdent() [3/6]

zypp::sat::Solvable::SplitIdent::SplitIdent | ( | const char * | ident_r | ) |

Definition at line 77 of file Solvable.cc.

## ◆ SplitIdent() [4/6]

zypp::sat::Solvable::SplitIdent::SplitIdent | ( | const std::string & | ident_r | ) |

Definition at line 81 of file Solvable.cc.

## ◆ SplitIdent() [5/6]

zypp::sat::Solvable::SplitIdent::SplitIdent | ( | ResKind | kind_r,
|  | IdString | name_r )

Definition at line 85 of file Solvable.cc.

## ◆ SplitIdent() [6/6]

zypp::sat::Solvable::SplitIdent::SplitIdent | ( | ResKind | kind_r,
|  | const C_Str & | name_r )

Definition at line 90 of file Solvable.cc.

## Member Function Documentation

## ◆ ident()

IdString zypp::sat::Solvable::SplitIdent::ident | ( |  | ) | const
| inline

Definition at line 371 of file Solvable.h.

## ◆ kind()

ResKind zypp::sat::Solvable::SplitIdent::kind | ( |  | ) | const
| inline

Definition at line 372 of file Solvable.h.

## ◆ name()

IdString zypp::sat::Solvable::SplitIdent::name | ( |  | ) | const
| inline

Definition at line 373 of file Solvable.h.

## Member Data Documentation

## ◆ _ident

IdString zypp::sat::Solvable::SplitIdent::_ident
| private

Definition at line 376 of file Solvable.h.

## ◆ _kind

ResKind zypp::sat::Solvable::SplitIdent::_kind
| private

Definition at line 377 of file Solvable.h.

## ◆ _name

IdString zypp::sat::Solvable::SplitIdent::_name
| private

Definition at line 378 of file Solvable.h.

The documentation for this class was generated from the following files:

- zypp/sat/Solvable.h
- zypp/sat/Solvable.cc